Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface ProtegeKnowledgeBaseListener

All Superinterfaces:
  EventListener, edu.stanford.smi.protege.event.KnowledgeBaseListener

All Known Subinterfaces:
  ModelListener

All Known Implementing Classes:
  ModelAdapter

    public interface ProtegeKnowledgeBaseListener

extends edu.stanford.smi.protege.event.KnowledgeBaseListener

Author:
  Holger Knublauch

Method Summary
`void` | `clsCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `clsDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `defaultClsMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated. not needed
`void` | `defaultFacetMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated. not needed
`void` | `defaultSlotMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated. not needed
`void` | `facetCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated. not needed
`void` | `facetDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated. not needed
`void` | `frameNameChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `instanceCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `instanceDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `slotCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.
`void` | `slotDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)` Deprecated.

Method Detail

### clsCreated

    void clsCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `clsCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.classCreated(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### clsDeleted

    void clsDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `clsDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.classDeleted(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### defaultClsMetaClsChanged

    void defaultClsMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated. not needed

  Specified by:
    `defaultClsMetaClsChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`

### defaultFacetMetaClsChanged

    void defaultFacetMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated. not needed

  Specified by:
    `defaultFacetMetaClsChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`

### defaultSlotMetaClsChanged

    void defaultSlotMetaClsChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated. not needed

  Specified by:
    `defaultSlotMetaClsChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`

### facetCreated

    void facetCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated. not needed

  Specified by:
    `facetCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`

### facetDeleted

    void facetDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated. not needed

  Specified by:
    `facetDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`

### frameNameChanged

    void frameNameChanged(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `frameNameChanged` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.resourceNameChanged(edu.stanford.smi.protegex.owl.model.RDFResource, java.lang.String)`

### instanceCreated

    void instanceCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `instanceCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.individualCreated(edu.stanford.smi.protegex.owl.model.RDFResource)`

### instanceDeleted

    void instanceDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `instanceDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.individualDeleted(edu.stanford.smi.protegex.owl.model.RDFResource)`

### slotCreated

    void slotCreated(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `slotCreated` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.propertyCreated(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### slotDeleted

    void slotDeleted(edu.stanford.smi.protege.event.KnowledgeBaseEvent event)

  Deprecated.

  Specified by:
    `slotDeleted` in interface `edu.stanford.smi.protege.event.KnowledgeBaseListener`
  See Also:
    `ModelListener.propertyDeleted(edu.stanford.smi.protegex.owl.model.RDFProperty)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.